package com.srs.stureg.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.srs.stureg.mapper.SrsStuDormMapper;
import com.srs.stureg.domain.SrsStuDorm;
import com.srs.stureg.service.ISrsStuDormService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author srs
 * @date 2023-07-24
 */
@Service
public class SrsStuDormServiceImpl implements ISrsStuDormService 
{
    @Autowired
    private SrsStuDormMapper srsStuDormMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SrsStuDorm selectSrsStuDormById(Long id)
    {
        return srsStuDormMapper.selectSrsStuDormById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SrsStuDorm> selectSrsStuDormList(SrsStuDorm srsStuDorm)
    {
        return srsStuDormMapper.selectSrsStuDormList(srsStuDorm);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSrsStuDorm(SrsStuDorm srsStuDorm)
    {
        return srsStuDormMapper.insertSrsStuDorm(srsStuDorm);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param srsStuDorm 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSrsStuDorm(SrsStuDorm srsStuDorm)
    {
        return srsStuDormMapper.updateSrsStuDorm(srsStuDorm);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSrsStuDormByIds(Long[] ids)
    {
        return srsStuDormMapper.deleteSrsStuDormByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSrsStuDormById(Long id)
    {
        return srsStuDormMapper.deleteSrsStuDormById(id);
    }
}
